﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MaskedTextbox_118587
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            MaskedEditor.PreviewKeyDown += MaskedEditor_PreviewKeyDown;
        }

        void MaskedEditor_PreviewKeyDown(object sender, KeyEventArgs e)
        {

          if (MaskedEditor.Value.Length == 0 || (e.Key == Key.Left || e.Key == Key.Right || e.Key == Key.Down || e.Key == Key.Up) && ((Keyboard.Modifiers & ModifierKeys.Shift) == ModifierKeys.Shift))

            {
                if (e.Key == Key.D1)
                    MaskedEditor.Mask = "C-0000";
                else if (e.Key == Key.D2)

                    MaskedEditor.Mask = "C-LLLL";
            }
           
         else
          {              
            if (MaskedEditor.Value[0] == '1')

               MaskedEditor.Mask = "C-0000";

                 else if (MaskedEditor.Value[0] == '2')

                        MaskedEditor.Mask = "C-LLLL";
           }
            
           }

        }
    }
